@echo off
rem this file is the batch wrapper to be invoked by the InvokeMake like
rem "\"$OMROOT/etc/Executer.exe\" \"\\\"$OMROOT\\etc\\testrt.bat\\\" cygwinmake $makefile $maketarget\"";
rem it must be located in the C:\Program Files\Telelogic\Rhapsody 7.4\Share\etc
echo current directory: %CD%
rem get settings from Rhapsody UI
RhapConf.exe -result > RhapConf.pl

set RHAPSODYSHAREETC=%0
set RHAPSODYSHAREETC=%RHAPSODYSHAREETC:\TestRT.bat=%
set RHAPSODYSHAREETC=%RHAPSODYSHAREETC:"=%
set OMROOT=%RHAPSODYSHAREETC:\etc=%
rem echo %OMROOT%

rem generate the local TestRT.bat for compiler/linker and ATLTGT sets
rem then generate the option file
rem then check that %1.bat has enough %x on the make command line
RhapTestRT.exe -bat "%2.opt" "%RHAPSODYSHAREETC%\Env2TDP.txt" "%RHAPSODYSHAREETC%\%1.bat"
CALL TestRT.bat

echo compiler %CC% and %CPP% for C++, linker %LINK_CMD%
echo ATLTGT=%ATLTGT%
rem invoke the original batch file given as first parameter
"%RHAPSODYSHAREETC%\%1.bat" %2 %3 %4 %5 %6 %7 "CC=attolcc -opt=%2.opt -- %CC%" "CPP=attolcc -opt=%2.opt -- %CPP%" "LINK_CMD=attolcc -opt=%2.opt -- %LINK_CMD%"